#include <stdio.h>
#include <stdlib.h>
#include "HMMSngl.h"

int main (void)
{

	hls::stream<din_t> test_din("test_din");
	
	hls::stream<dout_t> test_dout("test_dout");	
		
	for (int i  = 0 ; i < Samples_Burst; i++)
	{
		din_t v1; v1.v = (rand()/(double)RAND_MAX)*1000;

		if(i == Samples_Burst-1) v1.last =1;
		
		test_din.write(v1);
	}
	
	HMM_Main(test_din, test_dout);
	
	for (int i  = 0 ; i < Samples_Burst; i++)
	{
		 dout_t v2 = test_dout.read();
		
		 if(v2.last)
			 printf("Prob: %.3f.", v2.v.to_float());
		 else
			 printf("Prob: %.3f, ", v2.v.to_float());
	}

	printf("\n");
		
	return 0;
}
